<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Setting;
use Illuminate\Http\Request;
use Image;
use Artisan;
use Validator;


class SettingsController extends Controller
{
    public function __construct()
    {
        $this->middleware('auth');
    }

    public function index()
    {
        return view('admin.setting', [
            'setting' => Setting::find(1),
        ]);
    }

    public function logo_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'logo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('logo')) {
            $file = $request->file('logo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->logo));
            $filename1 = 'logo'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->logo = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function favicon_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'favicon' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('favicon')) {
            $file = $request->file('favicon');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->favicon));
            $filename1 = 'favicon'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->favicon = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function login_bg_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'login_bg' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('login_bg')) {
            $file = $request->file('login_bg');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->login_bg));
            $filename1 = 'login_bg'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->login_bg = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function generel_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'footer_copyright' => 'required',
            'footer_address' => 'required',
            'footer_phone' => 'required',
            'footer_working_hour' => 'required',
            'footer_about' => 'required',
            'top_bar_email' => 'required',
            'top_bar_phone' => 'required',
            'contact_map_iframe' => 'required',
        ]);

        Setting::find(1)->update([
            "footer_copyright" => $req->footer_copyright,
            "footer_address" => $req->footer_address,
            "footer_phone" => $req->footer_phone,
            "footer_working_hour" => $req->footer_working_hour,
            "footer_about" => $req->footer_about,
            "top_bar_email" => $req->top_bar_email,
            "top_bar_phone" => $req->top_bar_phone,
            "contact_map_iframe" => $req->contact_map_iframe,

        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }



    public function address_icon_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'footer_address_icon' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('footer_address_icon')) {
            $file = $request->file('footer_address_icon');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->footer_address_icon));
            $filename1 = 'footer_address_icon'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->footer_address_icon = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function phone_icon_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'footer_phone_icon' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('footer_phone_icon')) {
            $file = $request->file('footer_phone_icon');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->footer_phone_icon));
            $filename1 = 'footer_phone_icon'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->footer_phone_icon = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function working_hour_icon_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'footer_working_hour_icon' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('footer_working_hour_icon')) {
            $file = $request->file('footer_working_hour_icon');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->footer_working_hour_icon));
            $filename1 = 'footer_working_hour_icon'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->footer_working_hour_icon = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }



    public function email_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        Validator::extend('without_spaces', function($attr, $value){
            return preg_match('/^\S*$/u', $value);
        });

        $request->validate([
            'smtp_encryption' => 'required',
            'smtp_host' => 'required|without_spaces',
            'smtp_port' => 'required|without_spaces',
            'smtp_username' => 'required|without_spaces',
            'smtp_password' => 'required|without_spaces',
            'smtp_email_from' => 'required|without_spaces'
        ],[
            'smtp_host.without_spaces' => 'Host can not contain Whitespace',
            'smtp_port.without_spaces' => 'Port can not contain Whitespace',
            'smtp_username.without_spaces' => 'Username can not contain Whitespace',
            'smtp_password.without_spaces' => 'Password can not contain Whitespace',
            'smtp_email_from.without_spaces' => 'Email from field can not contain Whitespace'
        ]);

        Artisan::call("env:set MAIL_ENCRYPTION='". $request->smtp_encryption ."'");
        Artisan::call("env:set MAIL_HOST='". $request->smtp_host ."'");
        Artisan::call("env:set MAIL_PORT='". $request->smtp_port ."'");
        Artisan::call("env:set MAIL_USERNAME='". $request->smtp_username ."'");
        Artisan::call("env:set MAIL_PASSWORD='". $request->smtp_password ."'");
        Artisan::call("env:set MAIL_FROM_ADDRESS='". $request->smtp_email_from ."'");

        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function sidebar_footer_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'total_recent_post' => 'required',
            'total_popular_post' => 'required',
            'total_recent_post_footer' => 'required',
            'total_popular_post_footer' => 'required',
        ]);

        Setting::find(1)->update([
            "total_recent_post" => $req->total_recent_post,
            "total_popular_post" => $req->total_popular_post,
            "total_recent_post_footer" => $req->total_recent_post_footer,
            "total_popular_post_footer" => $req->total_popular_post_footer,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function why_choose_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'why_choose_title' => 'required'
        ]);

        Setting::find(1)->update([
            "why_choose_title" => $req->why_choose_title,
            "why_choose_subtitle" => $req->why_choose_subtitle,
            "why_choose_status" => $req->why_choose_status,

        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function why_choose_main_photo_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'why_choose_main_photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('why_choose_main_photo')) {
            $file = $request->file('why_choose_main_photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->why_choose_main_photo));
            $filename1 = 'why_choose_main_photo'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->why_choose_main_photo = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function why_choose_item_photo_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'why_choose_item_bg' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('why_choose_item_bg')) {
            $file = $request->file('why_choose_item_bg');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->why_choose_item_bg));
            $filename1 = 'why_choose_item_bg'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->why_choose_item_bg = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function testimonial_main_photo_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'testimonial_main_photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('testimonial_main_photo')) {
            $file = $request->file('testimonial_main_photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->testimonial_main_photo));
            $filename1 = 'testimonial_main_photo'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->testimonial_main_photo = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function faq_main_photo_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'faq_main_photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('faq_main_photo')) {
            $file = $request->file('faq_main_photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->faq_main_photo));
            $filename1 = 'faq_main_photo'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->faq_main_photo = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function service_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'service_title' => 'required'
        ]);

        Setting::find(1)->update([
            "service_title" => $req->service_title,
            "service_subtitle" => $req->service_subtitle,
            "service_status" => $req->service_status,
        ]);

        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function portfolio_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'portfolio_title' => 'required'
        ]);

        Setting::find(1)->update([
            "portfolio_title" => $req->portfolio_title,
            "portfolio_subtitle" => $req->portfolio_subtitle,
            "portfolio_status" => $req->portfolio_status,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function team_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'team_title' => 'required'
        ]);

        Setting::find(1)->update([
            "team_title" => $req->team_title,
            "team_subtitle" => $req->team_subtitle,
            "team_status" => $req->team_status,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function testimonial_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'testimonial_title' => 'required'
        ]);

        Setting::find(1)->update([
            "testimonial_title" => $req->testimonial_title,
            "testimonial_subtitle" => $req->testimonial_subtitle,
            "testimonial_status" => $req->testimonial_status,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function faq_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'faq_title' => 'required'
        ]);

        Setting::find(1)->update([
            "faq_title" => $req->faq_title,
            "faq_subtitle" => $req->faq_subtitle,
            "faq_status" => $req->faq_status,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function gallery_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'gallery_title' => 'required'
        ]);

        Setting::find(1)->update([
            "gallery_title" => $req->gallery_title,
            "gallery_subtitle" => $req->gallery_subtitle,
            "gallery_status" => $req->gallery_status,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function recent_post_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'recent_post_title' => 'required'
        ]);

        Setting::find(1)->update([
            "recent_post_title" => $req->recent_post_title,
            "recent_post_subtitle" => $req->recent_post_subtitle,
            "recent_post_status" => $req->recent_post_status,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function partner_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'partner_title' => 'required'
        ]);

        Setting::find(1)->update([
            "partner_title" => $req->partner_title,
            "partner_subtitle" => $req->partner_subtitle,
            "partner_status" => $req->partner_status,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function counter_bg_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'counter_bg' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('counter_bg')) {
            $file = $request->file('counter_bg');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->counter_bg));
            $filename1 = 'counter_bg'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->counter_bg = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function counter_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'counter1_text' => 'required',
            'counter1_value' => 'required',
            'counter2_text' => 'required',
            'counter2_value' => 'required',
            'counter3_text' => 'required',
            'counter3_value' => 'required',
            'counter4_text' => 'required',
            'counter4_value' => 'required',
            'counter_status' => 'required',
        ]);

        Setting::find(1)->update([
            "counter1_text" => $req->counter1_text,
            "counter1_value" => $req->counter1_value,
            "counter2_text" => $req->counter2_text,
            "counter2_value" => $req->counter2_value,
            "counter3_text" => $req->counter3_text,
            "counter3_value" => $req->counter3_value,
            "counter4_text" => $req->counter4_text,
            "counter4_value" => $req->counter4_value,
            "counter_status" => $req->counter_status,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function total_recent_post_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'total_recent_post_home' => 'required',
        ]);

        Setting::find(1)->update([
            "total_recent_post_home" => $req->total_recent_post_home,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function color_update(Request $req)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $req->validate([
            'theme_color_1' => 'required',
            'theme_color_2' => 'required',
        ]);

        Setting::find(1)->update([
            "theme_color_1" => $req->theme_color_1,
            "theme_color_2" => $req->theme_color_2,
        ]);
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function other_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $obj = Setting::find(1);
        if ($request->hasFile('preloader_photo')) {
            $request->validate([
                'preloader_photo' => 'required|file|image',
            ]);
            $file = $request->file('preloader_photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->preloader_photo));
            $filename1 = 'preloader_photo'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->preloader_photo = $filename1;
        }
        $obj->tawk_live_chat_status = $request->tawk_live_chat_status;
        $obj->tawk_live_chat_code = $request->tawk_live_chat_code;
        $obj->preloader_status = $request->preloader_status;
        $obj->google_recaptcha_site_key = $request->google_recaptcha_site_key;
        $obj->google_recaptcha_status = $request->google_recaptcha_status;
        $obj->layout_direction = $request->layout_direction;
        $obj->update();

        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function about_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_about));
            $filename1 = 'banner_about'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_about = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function faq_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_faq));
            $filename1 = 'banner_faq'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_faq = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function gallery_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_gallery));
            $filename1 = 'banner_gallery'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_gallery = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function service_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_service));
            $filename1 = 'banner_service'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_service = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function portfolio_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_portfolio));
            $filename1 = 'banner_portfolio'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_portfolio = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function testimonial_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_testimonial));
            $filename1 = 'banner_testimonial'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_testimonial = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function news_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_news));
            $filename1 = 'banner_news'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_news = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function contact_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_contact));
            $filename1 = 'banner_contact'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_contact = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function search_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_search));
            $filename1 = 'banner_search'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_search = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function category_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_category));
            $filename1 = 'banner_category'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_category = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function terms_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_terms));
            $filename1 = 'banner_terms'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_terms = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }


    public function privacy_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_privacy));
            $filename1 = 'banner_privacy'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_privacy = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }

    public function dynamic_page_banner_update(Request $request)
    {
        if(env('PROJECT_MODE') == 0) {
            return redirect()->back()->with('error', env('PROJECT_NOTIFICATION'));
        }

        $request->validate([
            'photo' => 'required|file|image',
        ]);
        $obj = Setting::find(1);
        if ($request->hasFile('photo')) {
            $file = $request->file('photo');
            $ext = $file->getClientOriginalExtension();
            @unlink(public_path('uploads/'.$obj->banner_dynamic_page));
            $filename1 = 'banner_dynamic_page'.'.'.$ext;
            $file->move(public_path('uploads'),$filename1);
            $obj->banner_dynamic_page = $filename1;
        }
        $obj->update();
        return back()->with('success', A_SUCCESS_DATA_UPDATE);
    }
}
