@extends('front.front_layout')

@section('meta_description')
    {{ $page_data->md_about }}
@endsection

@section('meta_title')
    {{ $page_data->mt_about }}
@endsection

@section('content')

    @include('front.include.sub_banner', [
        'heading' => $page_data->about_heading,
        'img' => $setting_data->banner_about,
    ])

    <div class="container pt_40 pb_60">
        <div class="row">
            <div class="col-md-6">
                <h3>{{ $page_data->about_heading }}</h3>
                <p>{!! clean($page_data->about_content) !!}</p>
            </div>
            <div class="col-md-6 mt_20">
                <img src="{{ asset('uploads/'.$page_data->about_photo) }}" alt=""><br>
            </div>
        </div>
    </div>

    @if( $page_data->mission_heading!='' || $page_data->mission_content!='' || $page_data->vision_heading!='' || $page_data->vision_content!='')
    <div class="mission-area bg-area pt-30 pb-60">
        <div class="container">
            <div class="row">
                @if( $page_data->mission_heading!='' || $page_data->mission_content!='')
                    <div class="col-md-6 col-sm-6">
                        <div class="about-mission">
                            <h3>{{ $page_data->mission_heading }}</h3>
                            <p>{!! clean(nl2br($page_data->mission_content)) !!}</p>
                        </div>
                    </div>
                @endif

                @if( $page_data->vision_heading!='' || $page_data->vision_content!='')
                    <div class="col-md-6 col-sm-6">
                        <div class="about-mission">
                            <h3>{{ $page_data->vision_heading }}</h3>
                            <p>{!! clean(nl2br($page_data->vision_content)) !!}</p>
                        </div>
                    </div>
                @endif
            </div>
        </div>
    </div>
    @endif
@endsection
