@extends('front.front_layout')

@section('meta_description')
    {{ $page_data->md_faq }}
@endsection

@section('meta_title')
    {{ $page_data->mt_faq }}
@endsection


@section('content')
    @include('front.include.sub_banner', [
        'heading' => $page_data->faq_heading,
        'img' => $setting_data->banner_faq,
    ])


    <div class="faq-home pb_50 pt_30">
        <div class="container">
            <div class="row d-flex justify-content-center">
                <div class="col-md-9 col-sm-12">
                    <div class="faq-gallery">
                        <div class="accordion" id="accordionExample">
                            @foreach ($faqs as $key => $item)
                            <div class="accordion-item">
                                <h2 class="accordion-header" id="heading{{ $key }}">
                                    <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapse{{ $key }}" aria-expanded="false" aria-controls="collapse{{ $key }}">
                                        {{ $item->title }}
                                    </button>
                                </h2>
                                <div id="collapse{{ $key }}" class="accordion-collapse collapse" aria-labelledby="heading{{ $key }}" data-bs-parent="#accordionExample">
                                    <div class="accordion-body">
                                        {!! clean($item->full_content) !!}
                                    </div>
                                </div>
                            </div>
                            @endforeach
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
